Subject: bug#4540: closed (Re: bug#4540: Where are the menu sub-items)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Nov 2019 00:24:02 +0000

Your bug report

#4540: [macOS 10.6][VNC (Applet Remote)] Menu sub-items are not visible

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4540: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4540
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4540: Where are the menu sub-items
From: Stefan Kangas <[email-masked]>
To: David Reitter <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Nov 2019 01:23:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> David Reitter <[email-masked]> writes:
>
>> package:ns,emacs
>>
>> This is an Emacs problem;
>> I can reproduce only over VNC (Apple Remote); running Emacs on the remote side.
>>
>> Menus don't show up, except the applications menu.
>>
>> OP reports that problem has also occurred on 10.6, and, for him, without VNC.
>>
>>
>>
>> Begin forwarded message:
>>
>>> From: Jean-Philippe SCHILLE <[email-masked]>
>>> Date: September 1, 2009 10:13:00 AM EDT
>>> To: [email-masked]
>>> Subject: [Aquamacs-devel] Where are the menu sub-items in Aquamacs  version 2.
>>> Reply-To: Aquamacs Developers <[email-masked]>
>>>
>>> Hello,
>>>
>>> For the 2.0 branch versions, I cannot see any sub-items in the menu  bar.
>>> The Aquamacs item is fine as all expected sub-items (About,
>>> Check,Services...) are visible but the menu items File Edit Options
>>> Tools Window Help do not show any sub-item when I click on them.
>>>
>>> Everything is fine with Aquamacs Emacs 1.8 though.
>>>
>>> I am running OS X 10.5.8 and I am using the latest X11 version 2.4.0  from
>>> http://xquartz.macosforge.org/trac/wiki/Releases (I wonder if  this is the
>>> culprit?)
>
> This is now almost to the day 10 years old.  I'm therefore asking if you
> can reproduce this on a modern version of Emacs?

More information was requested, but none was given within 6 weeks, so
I'm going to assume that this has been fixed in the last 10 years.
I'm consequently closing this bug.

If this is still an issue, please reopen the bug report.

Best regards,
Stefan Kangas

Subject: Where are the menu sub-items
From: David Reitter <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Wed, 23 Sep 2009 14:29:04 -0400

package:ns,emacs

This is an Emacs problem;
I can reproduce only over VNC (Apple Remote); running Emacs on the  
remote side.

Menus don't show up, except the applications menu.

OP reports that problem has also occurred on 10.6, and, for him,  
without VNC.

Begin forwarded message:

> From: Jean-Philippe SCHILLE <[email-masked]>
> Date: September 1, 2009 10:13:00 AM EDT
> To: [email-masked]
> Subject: [Aquamacs-devel] Where are the menu sub-items in Aquamacs  
> version 2.
> Reply-To: Aquamacs Developers <[email-masked]>
>
> Hello,
>
> For the 2.0 branch versions, I cannot see any sub-items in the menu  
> bar.
> The Aquamacs item is fine as all expected sub-items (About,  
> Check,Services...) are visible but the menu items File Edit Options  
> Tools Window Help do not show any sub-item when I click on them.
>
> Everything is fine with Aquamacs Emacs 1.8 though.
>
> I am running OS X 10.5.8 and I am using the latest X11 version 2.4.0  
> from http://xquartz.macosforge.org/trac/wiki/Releases (I wonder if  
> this is the culprit?)
>
> Thanks in advance for your help and advice.
>
> Regards,
>
> Jean-Philippe Schillé
>